#include "helper.h"

#include "math.h"

double precision = 1e-3;

bool checkEquality(double v1, double v2)
{
	if (!v2 && fabs(v1) < precision)
		return true;

	return (fabs(v1 / v2 - 1) < precision);
}

void check(bool b)
{
	if (!b) {
		printf("fail\n");
		//assert(false);
	}
}

void logString(FILE *log, const char *string)
{
	fprintf(log, "%s\n", string);
	printf("%s\n", string);
}